diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/user/about.php ./wordpress-3.4/wp-admin/user/about.php
*** ./wordpress-3.3.2/wp-admin/user/about.php	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-admin/user/about.php	2012-01-06 12:08:45.000000000 -0600
***************
*** 0 ****
--- 1,13 ----
+ <?php
+ /**
+  * User Dashboard About administration panel.
+  *
+  * @package WordPress
+  * @subpackage Administration
+  * @since 3.4.0
+  */
+ 
+ /** Load WordPress Administration Bootstrap */
+ require_once( './admin.php' );
+ 
+ require( '../about.php' );
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/user/admin.php ./wordpress-3.4/wp-admin/user/admin.php
*** ./wordpress-3.3.2/wp-admin/user/admin.php	2011-04-20 15:19:50.000000000 -0500
--- ./wordpress-3.4/wp-admin/user/admin.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 7,13 ****
   * @since 3.1.0
   */
  
! define('WP_USER_ADMIN', TRUE);
  
  require_once( dirname(dirname(__FILE__)) . '/admin.php');
  
--- 7,13 ----
   * @since 3.1.0
   */
  
! define('WP_USER_ADMIN', true);
  
  require_once( dirname(dirname(__FILE__)) . '/admin.php');
  
***************
*** 23,27 ****
  	exit;
  }
  unset( $redirect_user_admin_request );
- 
- ?>
--- 23,25 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/user/credits.php ./wordpress-3.4/wp-admin/user/credits.php
*** ./wordpress-3.3.2/wp-admin/user/credits.php	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-admin/user/credits.php	2012-01-06 12:08:45.000000000 -0600
***************
*** 0 ****
--- 1,13 ----
+ <?php
+ /**
+  * User Dashboard Credits administration panel.
+  *
+  * @package WordPress
+  * @subpackage Administration
+  * @since 3.4.0
+  */
+ 
+ /** Load WordPress Administration Bootstrap */
+ require_once( './admin.php' );
+ 
+ require( '../credits.php' );
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/user/freedoms.php ./wordpress-3.4/wp-admin/user/freedoms.php
*** ./wordpress-3.3.2/wp-admin/user/freedoms.php	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-admin/user/freedoms.php	2012-01-06 12:08:45.000000000 -0600
***************
*** 0 ****
--- 1,13 ----
+ <?php
+ /**
+  * User Dashboard Freedoms administration panel.
+  *
+  * @package WordPress
+  * @subpackage Administration
+  * @since 3.4.0
+  */
+ 
+ /** Load WordPress Administration Bootstrap */
+ require_once( './admin.php' );
+ 
+ require( '../freedoms.php' );
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/user/menu.php ./wordpress-3.4/wp-admin/user/menu.php
*** ./wordpress-3.3.2/wp-admin/user/menu.php	2011-09-30 11:47:02.000000000 -0500
--- ./wordpress-3.4/wp-admin/user/menu.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 20,24 ****
  $submenu = array();
  
  require_once(ABSPATH . 'wp-admin/includes/menu.php');
- 
- ?>
--- 20,22 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/user-edit.php ./wordpress-3.4/wp-admin/user-edit.php
*** ./wordpress-3.3.2/wp-admin/user-edit.php	2011-12-08 10:49:16.000000000 -0600
--- ./wordpress-3.4/wp-admin/user-edit.php	2012-05-30 16:54:33.000000000 -0500
***************
*** 321,327 ****
  
  			foreach ( $public_display as $id => $item ) {
  		?>
! 			<option id="<?php echo $id; ?>"<?php selected( $profileuser->display_name, $item ); ?>><?php echo $item; ?></option>
  		<?php
  			}
  		?>
--- 319,325 ----
  
  			foreach ( $public_display as $id => $item ) {
  		?>
! 			<option <?php selected( $profileuser->display_name, $item ); ?>><?php echo $item; ?></option>
  		<?php
  			}
  		?>
***************
*** 432,435 ****
  </script>
  <?php
  include( ABSPATH . 'wp-admin/admin-footer.php');
- ?>
--- 430,432 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/user-new.php ./wordpress-3.4/wp-admin/user-new.php
*** ./wordpress-3.3.2/wp-admin/user-new.php	2011-11-30 22:51:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/user-new.php	2012-06-05 13:51:33.000000000 -0500
***************
*** 26,32 ****
  this email. This invitation will expire in a few days.
  
  Please click the following link to activate your user account:
! %%s' ), get_bloginfo('name'), site_url(), esc_html( $_REQUEST[ 'role' ] ) );
  	}
  	add_filter( 'wpmu_signup_user_notification_email', 'admin_created_user_email' );
  
--- 26,32 ----
  this email. This invitation will expire in a few days.
  
  Please click the following link to activate your user account:
! %%s' ), get_bloginfo('name'), home_url(), esc_html( $_REQUEST[ 'role' ] ) );
  	}
  	add_filter( 'wpmu_signup_user_notification_email', 'admin_created_user_email' );
  
***************
*** 80,86 ****
  
  Please click the following link to confirm the invite:
  %4$s' );
! 			wp_mail( $new_user_email, sprintf( __( '[%s] Joining confirmation' ), get_option( 'blogname' ) ),  sprintf($message, get_option('blogname'), site_url(), $_REQUEST[ 'role' ], site_url("/newbloguser/$newuser_key/")));
  			$redirect = add_query_arg( array('update' => 'add'), 'user-new.php' );
  		}
  	}
--- 80,86 ----
  
  Please click the following link to confirm the invite:
  %4$s' );
! 			wp_mail( $new_user_email, sprintf( __( '[%s] Joining confirmation' ), get_option( 'blogname' ) ), sprintf($message, get_option('blogname'), home_url(), $_REQUEST[ 'role' ], home_url("/newbloguser/$newuser_key/")));
  			$redirect = add_query_arg( array('update' => 'add'), 'user-new.php' );
  		}
  	}
***************
*** 92,109 ****
  	if ( ! current_user_can('create_users') )
  		wp_die(__('Cheatin&#8217; uh?'));
  
! 	if ( !is_multisite() ) {
! 		$user_id = add_user();
  
  		if ( is_wp_error( $user_id ) ) {
  			$add_user_errors = $user_id;
  		} else {
! 			if ( current_user_can('edit_users') ) {
! 				$new_user_login = apply_filters('pre_user_login', sanitize_user(stripslashes($_REQUEST['user_login']), true));
! 				$redirect = 'users.php?usersearch='. urlencode($new_user_login) . '&update=add' . '#user-' . $user_id;
! 			} else {
  				$redirect = add_query_arg( 'update', 'add', 'user-new.php' );
- 			}
  			wp_redirect( $redirect );
  			die();
  		}
--- 92,107 ----
  	if ( ! current_user_can('create_users') )
  		wp_die(__('Cheatin&#8217; uh?'));
  
! 	if ( ! is_multisite() ) {
! 		$user_id = edit_user();
  
  		if ( is_wp_error( $user_id ) ) {
  			$add_user_errors = $user_id;
  		} else {
! 			if ( current_user_can( 'list_users' ) )
! 				$redirect = 'users.php?update=add&id=' . $user_id;
! 			else
  				$redirect = add_query_arg( 'update', 'add', 'user-new.php' );
  			wp_redirect( $redirect );
  			die();
  		}
***************
*** 143,149 ****
  
  if ( is_multisite() ) {
  	$help .= '<p>' . __('Because this is a multisite installation, you may add accounts that already exist on the Network by specifying a username or email, and defining a role. For more options, such as specifying a password, you have to be a Network Administrator and use the hover link under an existing user&#8217;s name to Edit the user profile under Network Admin > All Users.') . '</p>' .
! 	'<p>' . __('New users will receive an email letting them know they&#8217;ve been added as a user for your site. This email will also contain their password. Check the box if you don&#8217;t want the user to recieve a welcome email.') . '</p>';
  } else {
  	$help .= '<p>' . __('You must assign a password to the new user, which they can change after logging in. The username, however, cannot be changed.') . '</p>' .
  	'<p>' . __('New users will receive an email letting them know they&#8217;ve been added as a user for your site. By default, this email will also contain their password. Uncheck the box if you don&#8217;t want the password to be included in the welcome email.') . '</p>';
--- 141,147 ----
  
  if ( is_multisite() ) {
  	$help .= '<p>' . __('Because this is a multisite installation, you may add accounts that already exist on the Network by specifying a username or email, and defining a role. For more options, such as specifying a password, you have to be a Network Administrator and use the hover link under an existing user&#8217;s name to Edit the user profile under Network Admin > All Users.') . '</p>' .
! 	'<p>' . __('New users will receive an email letting them know they&#8217;ve been added as a user for your site. This email will also contain their password. Check the box if you don&#8217;t want the user to receive a welcome email.') . '</p>';
  } else {
  	$help .= '<p>' . __('You must assign a password to the new user, which they can change after logging in. The username, however, cannot be changed.') . '</p>' .
  	'<p>' . __('New users will receive an email letting them know they&#8217;ve been added as a user for your site. By default, this email will also contain their password. Uncheck the box if you don&#8217;t want the password to be included in the welcome email.') . '</p>';
***************
*** 163,169 ****
  'content' => '<p>' . __('Here is a basic overview of the different user roles and the permissions associated with each one:') . '</p>' .
  				'<ul>' .
  				'<li>' . __('Administrators have access to all the administration features.') . '</li>' .
! 				'<li>' . __('Editors can publish posts, manage posts as well as manage other people&#8217;s posts, etc.')  . '</li>' .
  				'<li>' . __('Authors can publish and manage their own posts, and are able to upload files.') . '</li>' .
  				'<li>' . __('Contributors can write and manage their posts but not publish posts or upload media files.') . '</li>' .
  				'<li>' . __('Subscribers can read comments/comment/receive newsletters, etc. but cannot create regular site content.') . '</li>' .
--- 161,167 ----
  'content' => '<p>' . __('Here is a basic overview of the different user roles and the permissions associated with each one:') . '</p>' .
  				'<ul>' .
  				'<li>' . __('Administrators have access to all the administration features.') . '</li>' .
! 				'<li>' . __('Editors can publish posts, manage posts as well as manage other people&#8217;s posts, etc.') . '</li>' .
  				'<li>' . __('Authors can publish and manage their own posts, and are able to upload files.') . '</li>' .
  				'<li>' . __('Contributors can write and manage their posts but not publish posts or upload media files.') . '</li>' .
  				'<li>' . __('Subscribers can read comments/comment/receive newsletters, etc. but cannot create regular site content.') . '</li>' .
***************
*** 179,185 ****
  wp_enqueue_script('wp-ajax-response');
  wp_enqueue_script('user-profile');
  
! require_once ('admin-header.php');
  
  if ( isset($_GET['update']) ) {
  	$messages = array();
--- 177,189 ----
  wp_enqueue_script('wp-ajax-response');
  wp_enqueue_script('user-profile');
  
! if ( is_multisite() && current_user_can( 'promote_users' ) && ! wp_is_large_network( 'users' )
! 	&& ( is_super_admin() || apply_filters( 'autocomplete_users_for_site_admins', false ) )
! ) {
! 	wp_enqueue_script( 'user-suggest' );
! }
! 
! require_once( 'admin-header.php' );
  
  if ( isset($_GET['update']) ) {
  	$messages = array();
***************
*** 251,260 ****
  	if ( $do_both )
  		echo '<h3 id="add-existing-user">' . __('Add Existing User') . '</h3>';
  	if ( !is_super_admin() ) {
! 		_e( 'Enter the email address of an existing user on this network to invite them to this site.  That person will be sent an email asking them to confirm the invite.' );
  		$label = __('E-mail');
  	} else {
! 		_e( 'Enter the email address or username of an existing user on this network to invite them to this site.  That person will be sent an email asking them to confirm the invite.' );
  		$label = __('E-mail or Username');
  	}
  ?>
--- 255,264 ----
  	if ( $do_both )
  		echo '<h3 id="add-existing-user">' . __('Add Existing User') . '</h3>';
  	if ( !is_super_admin() ) {
! 		_e( 'Enter the email address of an existing user on this network to invite them to this site. That person will be sent an email asking them to confirm the invite.' );
  		$label = __('E-mail');
  	} else {
! 		_e( 'Enter the email address or username of an existing user on this network to invite them to this site. That person will be sent an email asking them to confirm the invite.' );
  		$label = __('E-mail or Username');
  	}
  ?>
***************
*** 265,271 ****
  <table class="form-table">
  	<tr class="form-field form-required">
  		<th scope="row"><label for="adduser-email"><?php echo $label; ?></label></th>
! 		<td><input name="email" type="text" id="adduser-email" value="" /></td>
  	</tr>
  	<tr class="form-field">
  		<th scope="row"><label for="adduser-role"><?php _e('Role'); ?></label></th>
--- 269,275 ----
  <table class="form-table">
  	<tr class="form-field form-required">
  		<th scope="row"><label for="adduser-email"><?php echo $label; ?></label></th>
! 		<td><input name="email" type="text" id="adduser-email" class="wp-suggest-user" value="" /></td>
  	</tr>
  	<tr class="form-field">
  		<th scope="row"><label for="adduser-role"><?php _e('Role'); ?></label></th>
***************
*** 361,367 ****
  	<?php if ( is_multisite() && is_super_admin() ) { ?>
  	<tr>
  		<th scope="row"><label for="noconfirmation"><?php _e('Skip Confirmation Email') ?></label></th>
! 		<td><label for="noconfirmation"><input type="checkbox" name="noconfirmation" id="noconfirmation" value="1"  <?php checked( $new_user_ignore_pass ); ?> /> <?php _e( 'Add the user without sending them a confirmation email.' ); ?></label></td>
  	</tr>
  	<?php } ?>
  </table>
--- 365,371 ----
  	<?php if ( is_multisite() && is_super_admin() ) { ?>
  	<tr>
  		<th scope="row"><label for="noconfirmation"><?php _e('Skip Confirmation Email') ?></label></th>
! 		<td><label for="noconfirmation"><input type="checkbox" name="noconfirmation" id="noconfirmation" value="1" <?php checked( $new_user_ignore_pass ); ?> /> <?php _e( 'Add the user without sending them a confirmation email.' ); ?></label></td>
  	</tr>
  	<?php } ?>
  </table>
***************
*** 373,376 ****
  </div>
  <?php
  include('./admin-footer.php');
- ?>
--- 377,379 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/users.php ./wordpress-3.4/wp-admin/users.php
*** ./wordpress-3.3.2/wp-admin/users.php	2012-01-02 15:45:38.000000000 -0600
--- ./wordpress-3.4/wp-admin/users.php	2012-06-05 13:51:33.000000000 -0500
***************
*** 33,39 ****
  	'content' => '<p>' . __('You can customize the display of this screen in a number of ways:') . '</p>' .
  					'<ul>' .
  					'<li>' . __('You can hide/display columns based on your needs and decide how many users to list per screen using the Screen Options tab.') . '</li>' .
! 					'<li>' . __('You can filter the list of users by User Role using the text links in the upper left to show All, Administrator, Editor, Author, Contributor, or Subscriber. The default view is to show all users.  Unused User Roles are not listed.') . '</li>' .
  					'<li>' . __('You can view all posts made by a user by clicking on the number under the Posts column.') . '</li>' .
  					'</ul>'
  ) );
--- 33,39 ----
  	'content' => '<p>' . __('You can customize the display of this screen in a number of ways:') . '</p>' .
  					'<ul>' .
  					'<li>' . __('You can hide/display columns based on your needs and decide how many users to list per screen using the Screen Options tab.') . '</li>' .
! 					'<li>' . __('You can filter the list of users by User Role using the text links in the upper left to show All, Administrator, Editor, Author, Contributor, or Subscriber. The default view is to show all users. Unused User Roles are not listed.') . '</li>' .
  					'<li>' . __('You can view all posts made by a user by clicking on the number under the Posts column.') . '</li>' .
  					'</ul>'
  ) );
***************
*** 346,355 ****
  		case 'del':
  		case 'del_many':
  			$delete_count = isset($_GET['delete_count']) ? (int) $_GET['delete_count'] : 0;
! 			$messages[] = '<div id="message" class="updated"><p>' . sprintf(_n('%s user deleted', '%s users deleted', $delete_count), $delete_count) . '</p></div>';
  			break;
  		case 'add':
! 			$messages[] = '<div id="message" class="updated"><p>' . __('New user created.') . '</p></div>';
  			break;
  		case 'promote':
  			$messages[] = '<div id="message" class="updated"><p>' . __('Changed roles.') . '</p></div>';
--- 347,362 ----
  		case 'del':
  		case 'del_many':
  			$delete_count = isset($_GET['delete_count']) ? (int) $_GET['delete_count'] : 0;
! 			$messages[] = '<div id="message" class="updated"><p>' . sprintf( _n( 'User deleted.', '%s users deleted.', $delete_count ), number_format_i18n( $delete_count ) ) . '</p></div>';
  			break;
  		case 'add':
! 			if ( isset( $_GET['id'] ) && ( $user_id = $_GET['id'] ) && current_user_can( 'edit_user', $user_id ) ) {
! 				$messages[] = '<div id="message" class="updated"><p>' . sprintf( __( 'New user created. <a href="%s">Edit user</a>' ),
! 					esc_url( add_query_arg( 'wp_http_referer', urlencode( stripslashes( $_SERVER['REQUEST_URI'] ) ),
! 						self_admin_url( 'user-edit.php?user_id=' . $user_id ) ) ) ) . '</p></div>';
! 			} else {
! 				$messages[] = '<div id="message" class="updated"><p>' . __( 'New user created.' ) . '</p></div>';
! 			}
  			break;
  		case 'promote':
  			$messages[] = '<div id="message" class="updated"><p>' . __('Changed roles.') . '</p></div>';
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/widgets.php ./wordpress-3.4/wp-admin/widgets.php
*** ./wordpress-3.3.2/wp-admin/widgets.php	2011-12-08 11:56:03.000000000 -0600
--- ./wordpress-3.4/wp-admin/widgets.php	2012-04-10 21:20:51.000000000 -0500
***************
*** 25,35 ****
  	return "$classes widgets_access ";
  }
  
! if ( 'on' == $widgets_access )
  	add_filter( 'admin_body_class', 'wp_widgets_access_body_class' );
! else
  	wp_enqueue_script('admin-widgets');
  
  do_action( 'sidebar_admin_setup' );
  
  $title = __( 'Widgets' );
--- 25,39 ----
  	return "$classes widgets_access ";
  }
  
! if ( 'on' == $widgets_access ) {
  	add_filter( 'admin_body_class', 'wp_widgets_access_body_class' );
! } else {
  	wp_enqueue_script('admin-widgets');
  
+ 	if ( wp_is_mobile() )
+ 		wp_enqueue_script( 'jquery-touch-punch' );
+ }
+ 
  do_action( 'sidebar_admin_setup' );
  
  $title = __( 'Widgets' );
